curl -X POST "https://api.affonso.io/v1/program/campaigns/cmlaunch01camp0001/applications/cmapp01launch00001/reject" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"id": "cmapp01launch00001",
"campaign_id": "cmlaunch01camp0001",
"affiliate_id": "aff_abc123",
"affiliate": {
"id": "aff_abc123",
"name": "Jane Smith",
"email": "jane@example.com"
},
"answers": "Draft review: https://example.com/review-draft",
"status": "REJECTED",
"reviewed_at": "2026-10-06T08:30:00.000Z",
"retainer_has_condition": false,
"retainer_condition": null,
"retainer_ended_at": null,
"retainer_resumed_at": null,
"created_at": "2026-10-05T10:00:00.000Z",
"updated_at": "2026-10-06T08:30:00.000Z"
}
}
Campaigns
Reject Campaign Application
Reject a pending campaign application
POST
/
v1
/
program
/
campaigns
/
{id}
/
applications
/
{applicationId}
/
reject
curl -X POST "https://api.affonso.io/v1/program/campaigns/cmlaunch01camp0001/applications/cmapp01launch00001/reject" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"id": "cmapp01launch00001",
"campaign_id": "cmlaunch01camp0001",
"affiliate_id": "aff_abc123",
"affiliate": {
"id": "aff_abc123",
"name": "Jane Smith",
"email": "jane@example.com"
},
"answers": "Draft review: https://example.com/review-draft",
"status": "REJECTED",
"reviewed_at": "2026-10-06T08:30:00.000Z",
"retainer_has_condition": false,
"retainer_condition": null,
"retainer_ended_at": null,
"retainer_resumed_at": null,
"created_at": "2026-10-05T10:00:00.000Z",
"updated_at": "2026-10-06T08:30:00.000Z"
}
}
Reject a pending application. The affiliate may apply again. Requires
write:affiliates. Foreign-team IDs return 404.
The same operation is available through the affonso_reject_campaign_application MCP tool.
Path Parameters
string
required
Encoded campaign id
string
required
Encoded application id
Response
Returns the rejected application object.boolean
Always
true for successful responsesobject
The application. Fields match the application object in List Campaign Applications. After rejection
status is "REJECTED" and reviewed_at is set.curl -X POST "https://api.affonso.io/v1/program/campaigns/cmlaunch01camp0001/applications/cmapp01launch00001/reject" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"id": "cmapp01launch00001",
"campaign_id": "cmlaunch01camp0001",
"affiliate_id": "aff_abc123",
"affiliate": {
"id": "aff_abc123",
"name": "Jane Smith",
"email": "jane@example.com"
},
"answers": "Draft review: https://example.com/review-draft",
"status": "REJECTED",
"reviewed_at": "2026-10-06T08:30:00.000Z",
"retainer_has_condition": false,
"retainer_condition": null,
"retainer_ended_at": null,
"retainer_resumed_at": null,
"created_at": "2026-10-05T10:00:00.000Z",
"updated_at": "2026-10-06T08:30:00.000Z"
}
}
Notes
- Requires
write:affiliates. - No request body.
- Already
REJECTEDapplications are returned unchanged (idempotent, HTTP 200).ACCEPTEDapplications returnCONFLICT(HTTP 409). - To accept instead, use Accept Campaign Application.
Was this page helpful?
